Cryptpad (Docker-Compose)
=========================

A single-instance [Cryptpad](https://cryptpad.fr/) server that can be run behind [Traefik](https://traefik.io).

Requirements
------------

- Ansible (implemented and tested with v2.9)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Optional: Traefik

Role Variables
--------------

| Variable                        | Description                                                                                                                                                                                                  | Default                           |
| ---------------------------     | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------                              | ------------------                |
| docker_user                     | The user who is going to manage/run the Docker Compose services                                                                                                                                              | deploy                            |
| cryptpad_virtual_host           | The virtual host that is e.g. used by Traefik, usually part of the public url                                                                                                                                | localhost                         |
| cryptpad_safe_virtual_host      | See above, and: this additonal domain is used together with `cryptpad_virtual_host` for additional security and must not be the same! More docs are in the `config.js` template                              |                                   |
| cryptpad_http_unsafe_origin_url | The URL of the public entrypoint URL, e.g. `https://pad.example.tld`                                                                                                                                         | https:// + $cryptpad_virtual_host |
| cryptpad_http_safe_origin_url   | The URL of the safe public URL, e.g. `https://pad-sandbox.example.tld`                                                                                                                                       |                                   |
| cryptpad_admin_email            | An email address that will be published on the `/contact.html` page                                                                                                                                          |                                   |
| cryptpad_block_daily_check      | If enabled, the instance will send some basic information to the developers like the Cryptpad version together with the admin email, which is only used in case there is a serious problem with that version | false                             |


Dependencies
------------



Example Playbook
----------------

License
-------

MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).
